Subject: Re: Request for merging "python-team" branch

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 27 Jan 2025 13:35:49 +0100

Ricardo Wurmus <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> What do you think about adding libxcrypt to python-3.11?  The
>> unmaintained but still influential python-passlib fails to detect
>> support for some crypt() primitives, and I think we can fix this by
>> building python-3.11 with libxcrypt support.
>>
>> We build Python 3.10 (as well as Python 2) with libxcrypt support.
>>
>> If there are no objections I'll make the change tonight which will
>> trigger a world rebuild.
>
> I'm still building a large number of Rust packages locally to see if
> the change has any impact on python-passlib.

The change did fix python-passlib.  I've pushed it to python-team.

-- 
Ricardo